Get Attacks for Rules Configuration

Prev Next

This URL is used to retrieve attack lists.

Resource URL

GET /globalautoack/attack/<search_string>

Request Parameters

URL Parameters:

N/A

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
attackId Attack id String
attackName Attack name String

Example

Request

GET https://<NSM_IP>/sdkapi/globalautoack/attacks/malware

Response

{
[
“attackId”:”0x23323223”
“attackName”:“malwareBlocklist”
]
} 
 

Error Information

N/A